QGIS Application - Bug report #14409
WFS client post single geometry transactions to a multi geometry layer
2016-03-03 05:17 AM - Martin Hoegh

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.12.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 22390
Description

In 2.12 QGIS the WFS client post features of type Polygon to a MultiPolygon layer. This happens when adding new features. Below is the
schema of the tested WFS layer

<xsd:schema targetNamespace="http://mapcentia.com/syddjurs" xmins:xsd="http://www.w3.0rg/2001/XMLSchema"
xmins:gml="http://www.opengis.net/gml" xmins:gc2="http://www.mapcentia.com/gc2" xmins:syddjurs="http://mapcentia.com/syddjurs"
elementFormDefault="qualified" version="1.0">
<xsd:import namespace="http://www.opengis.net/gml" schemal.ocation="http://schemas.opengis.net/gml/2.1.2/feature.xsd"/>
<xsd:import namespace="http://www.mapcentia.com/gc2" schemalocation="http://cowi.mapcentia.com/xmlschemas/gc2.xsd"/>
<xsd:complexType name="kpplandk2_Type">
<xsd:complexContent>
<xsd:extension base="gml:AbstractFeatureType">
<xsd:sequence>
<xsd:element nillable="true" name="the_geom" label="the_geom" maxOccurs="1" type="gml:MultiPolygonProperty Type"
minOccurs="0">
</xsd:element>
<xsd:element nillable="true" name="plannr" label="plannr" maxOccurs="1" minOccurs="0">
<xsd:simpleType><xsd:restriction base="xsd:string"><xsd:minLength value="0"/><xsd:maxLength
value="256"/></xsd:restriction></xsd:simple Type></xsd:element>
<xsd:element nillable="true" name="planid" label="planid" maxOccurs="1" minOccurs="0">
<xsd:simpleType><xsd:restriction base="xsd:decimal"></xsd:restriction></xsd:simpleType></xsd:element>
</xsd:sequence>
</xsd:extension>
</xsd:complexContent>
</xsd:complexType>
<xsd:element name="kpplandk2" type="syddjurs:kpplandk2_Type" substitutionGroup="gml:_Feature"/>
</xsd:schema>

History

#1 - 2016-03-07 03:02 AM - Jukka Rahkonen

Duplicate, see #14139

#2 - 2016-03-07 07:59 AM - Nyall Dawson
- Resolution set to duplicate
- Status changed from Open to Closed
